/*------------------------------------*\
    #OBJECTS.TOP-BAR
\*------------------------------------*/
/**
 * Foundation top-bar object.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.objects';

.#{$inuit-namespace}top-bar,
%#{$inuit-namespace}top-bar {
    @include grid-row();

    background-color: $drk-color-white;
    top: 0;
}

.#{$inuit-namespace}top-bar__section,
%#{$inuit-namespace}top-bar__section {
    margin: 0;
    padding: 0;
    position: absolute;

    &--left {
        left: 0;
    }

    &--right {
        right: 0;
    }

    .c-newsletter-subscribe,
    .c-search-form {
        @media #{$small-only} {
            display: none;
        }
    }
}
